# Tax calculators

By connecting a tax calculator to a market, all the market orders get automatic tax calculations.

At the moment the following types of tax calculators are available (more to come):

* [Manual](/core-api-reference/manual_tax_calculators.md) — add simple, location-based tax rules.
* [Avalara](/core-api-reference/avalara_accounts.md) — leverage our out-of-the-box integration with [Avalara](https://www.avalara.com/).
* [Stripe Tax](/core-api-reference/stripe_tax_accounts.md) — leverage our out-of-the-box integration with [Stripe Tax](https://stripe.com/tax).
* [TaxJar](/core-api-reference/taxjar_accounts.md) — leverage our out-of-the-box integration with [TaxJar](https://www.taxjar.com/).
* [Vertex](/core-api-reference/vertex_accounts.md) — leverage our out-of-the-box integration with [Vertex](https://www.vertexinc.com/).
* [External](/core-api-reference/external_tax_calculators.md) — create and apply any custom logic for tax calculations.

<details>

<summary>Data model</summary>

Check the related [ER diagram](https://commercelayer.io/docs/data-model/tax-calculation) and explore the flowchart that illustrates how the tax calculator resource relates to the other API entities.

</details>

{% hint style="info" %}
This is an **immutable API**, meaning that create, update, and delete operations are not allowed on this endpoint. You can only fetch a list of tax calculators or a single tax calculator object. For the full set of available CRUD actions to the specific tax calculator account endpoints.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/tax_calculators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
